package io.tswf.selenium.undetected.chrome.process

import groovy.transform.CompileStatic

interface ChromeBrowserProcessStarter {
    Process startChromeBrowserProcess(File chromeLocation, List<String> args)
}

@CompileStatic
class ChromeBrowserProcessStarterImpl implements ChromeBrowserProcessStarter {

    @Override
    Process startChromeBrowserProcess(File chromeBrowserBinaryLocation, List<String> args) {
        def runCommand = new ArrayList<String>()
        runCommand << chromeBrowserBinaryLocation.absoluteCanonicalFile.path
        runCommand.addAll(args)
        def process = new ProcessBuilder(runCommand)
            .redirectError(ProcessBuilder.Redirect.INHERIT)
            .redirectOutput(ProcessBuilder.Redirect.INHERIT)
            .start()

        return process
    }
}
