package io.tswf.selenium.undetected.chrome.settings

import groovy.transform.CompileStatic
import org.openqa.selenium.chrome.ChromeOptions

@CompileStatic
class BufferedChromeOptions extends ChromeOptions {

    List<String> argumentsBuffer = new ArrayList<>()

    @Override
    ChromeOptions addArguments(List<String> arguments) {
        argumentsBuffer.addAll(arguments)
        return this
    }

    ChromeOptions clearArguments() {
        argumentsBuffer.clear()
        return this
    }

    ChromeOptions flushArguments() {
        super.addArguments(argumentsBuffer)
        return this
    }
}
